mutation CreateCustomer($input: CustomerCreateInput!) {
	customerCreate(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		customer {
			id
			name
			firstName
			lastName
			email
			phone
			currency {
				code
			}
			createdAt
		}
	}
}

mutation UpdateCustomer($input: CustomerPatchInput!) {
	customerPatch(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		customer {
			id
			name
			firstName
			lastName
			email
			phone
			modifiedAt
		}
	}
}

mutation DeleteCustomer($input: CustomerDeleteInput!) {
	customerDelete(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
	}
}
